{% extends 'base.html' %}


{% block body %}
<br>
<div style="text-align: center;">
    <h1 style="display:inline; color: aqua;">Все посты</h1>
    <a  class="btn btn-primary" style="color: rgb(0, 207, 207); background-color:rgb(116, 15, 211);" href="/posts/new" >Новый пост</a>
</div>
    <hr>
<div style="text-align: center; color: aqua;">
    {% for post in posts %}
        <h3>{{ post.title }}</h3>       
        <p >{{ post.content }}</p>
        <br>
        {% if post.author %}
        <p>{{ post.author }} </p>
        {% else %}
        <p> Anonymous</p>
        {% endif %}
        <br>
        <br>
        <a class="btn btn-light" style="color: rgb(116, 15, 211); background-color:rgb(0, 207, 207);;" href='/posts/delete/{{post.id}}'>Удалить</a>
        <a class="btn btn-primary" style="color: rgb(0, 207, 207); background-color:rgb(116, 15, 211) ;" href='/posts/edit/{{post.id}}'>Редактировать</a>
        <br>
        <hr>
        <br>

    {% endfor%}
</div>
{% endblock %}